<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:app="http://schemas.sap.com/sapui5/extension/sap.ui.core.CustomData/1"
	xmlns:f="sap.ui.layout.form" xmlns:table="sap.ui.table">
	<Dialog icon="sap-icon://add" id="dlgAgregarIncidentes" title="Agregar Incidentes">
		<table:Table id="tableIncidentes" rows="{incidentes>/}" selectionMode="Single" visibleRowCount="7" ariaLabelledBy="title">
			<table:columns>
				<table:Column width="11rem" filterProperty="grupo" sortProperty="grupo">
					<Label text="Grupo"/>
					<table:template>
						<Text text="{incidentes>grupo}" wrapping="false"/>
					</table:template>
				</table:Column>
				<table:Column width="11rem" filterProperty="descripcion" sortProperty="descripcion">
					<Label text="Descripción"/>
					<table:template>
						<Input value="{incidentes>descripcion}" change="onSetSel"/>
					</table:template>
				</table:Column>
				<table:Column width="11rem" filterProperty="Ilart" sortProperty="Ilart">
					<Label text="Canal de Facturación"/>
					<table:template>
						<ComboBox change="onSetSel" showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{incidentes>Ilart}"
							items="{ path: 'canalFacturacion>/', sorter: { path: 'ilart' } }">
							<core:ListItem key="{canalFacturacion>ilart}" text="{canalFacturacion>ilatx}" additionalText="{canalFacturacion>ilart}"/>
						</ComboBox>
					</table:template>
				</table:Column>
				<table:Column width="11rem" filterProperty="Ilart" sortProperty="Ilart">
					<Label text="Actividad"/>
					<table:template>
						<ComboBox change="onSetSel" showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{incidentes>ANLZU}"
							items="{ path: 'actividad>/', sorter: { path: 'text' } }">
							<core:ListItem key="{actividad>anlzu}" text="{actividad>anlzux}" additionalText="{actividad>anlzu}"/>
						</ComboBox>
					</table:template>
				</table:Column>
				<table:Column width="11rem" filterProperty="Ilart" sortProperty="Ilart">
					<Label text="Clasificación"/>
					<table:template>
						<ComboBox change="onSetSel" showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{incidentes>USR01}"
							items="{ path: 'clasificacion>/', sorter: { path: 'text' } }">
							<core:ListItem key="{clasificacion>idcla}" text="{clasificacion>descr}" additionalText="{clasificacion>idcla}"/>
						</ComboBox>
					</table:template>
				</table:Column>
				<table:Column width="11rem" filterProperty="Objid" sortProperty="Objid">
					<Label text="Técnico"/>
					<table:template>
						<ComboBox change="onSetSel" showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{incidentes>Objid}"
							items="{ path: 'tecnico>/', sorter: { path: 'Objid' } }">
							<core:ListItem key="{tecnico>Objid}" text="{tecnico>Ktext}" additionalText="{tecnico>Objid}"/>
						</ComboBox>
					</table:template>
				</table:Column>
				<table:Column width="11rem" filterProperty="Objid" sortProperty="Objid" visible="{= ${cabeceraOrden>/Salesforce} === 'X' ? true : false }">
					<Label text="Tipo Operación"/>
					<table:template>
						<ComboBox
							showSecondaryValues= "true"
							filterSecondaryValues= "true"
							selectedKey="{incidentes>Codope}"
							items="{
								path: 'tipoOperacion>/',
								sorter: { path: 'desope' }
							}">
							<core:ListItem key="{tipoOperacion>codope}" text="{tipoOperacion>desope}" additionalText="{tipoOperacion>codope}"/>
						</ComboBox>
					</table:template>
				</table:Column>
				
			</table:columns>
		</table:Table>
		<buttons>
			<Button type="Accept" text="Nuevo" press="onAgregarIncidentesSinHR" app:id="dlgAgregarIncidentes" icon="sap-icon://document"/>
			<Button type="Accept" text="Guardar" press="onCrearIncidentes" app:id="dlgAgregarIncidentes" icon="sap-icon://save"/>
			<Button type="Reject" text="Cancelar" press="onCancelar" app:id="dlgAgregarIncidentes" icon="sap-icon://decline"/>
		</buttons>
	</Dialog>
</core:FragmentDefinition>